//
//	QueryTodoModel.swift
//
//	Create by 云霄 曹 on 9/1/2018
//	Copyright © 2018. All rights reserved.

import Foundation 
import SwiftyJSON

public class QueryTodoModel {

	var content : String!
	var order : Order!
	var overReceiver : String!
	var overSpecifyRole : String!
	var overtime : String!
	var page : Int!
	var pageSize : Int!
	var prompt : String!
	var receiver : String!
	var remindTime : String!
	var specifyRole : String!
	var state : String!

    
    /**
     * Returns all the available property values in the form of [String:Any] object where the key is the approperiate json key and the value is the value of the corresponding property
     */
    func toDictionary() -> [String:Any]
    {
        var dictionary = [String:Any]()
        if content != nil{
            dictionary["content"] = content
        }
        if order != nil{
            dictionary["order"] = order.toDictionary()
        }
        if overReceiver != nil{
            dictionary["overReceiver"] = overReceiver
        }
        if overSpecifyRole != nil{
            dictionary["overSpecifyRole"] = overSpecifyRole
        }
        if overtime != nil{
            dictionary["overtime"] = overtime
        }
        if page != nil{
            dictionary["page"] = page
        }
        if pageSize != nil{
            dictionary["pageSize"] = pageSize
        }
        if prompt != nil{
            dictionary["prompt"] = prompt
        }
        if receiver != nil{
            dictionary["receiver"] = receiver
        }
        if remindTime != nil{
            dictionary["remindTime"] = remindTime
        }
        if specifyRole != nil{
            dictionary["specifyRole"] = specifyRole
        }
        if state != nil{
            dictionary["state"] = state
        }
        return dictionary
    }

}

public class Order{
    
    var direction : String!
    var field : String!
    
    /**
     * Returns all the available property values in the form of [String:Any] object where the key is the approperiate json key and the value is the value of the corresponding property
     */
    func toDictionary() -> [String:Any]
    {
        var dictionary = [String:Any]()
        if direction != nil{
            dictionary["direction"] = direction
        }
        if field != nil{
            dictionary["field"] = field
        }
        return dictionary
    }

    
}
